<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:rss="http://purl.org/rss/1.0/"
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  exclude-result-prefixes="rdf rss dc">

<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" encoding="utf-8" />
<xsl:template match="/">
<html lang="ja">
<head>
<title>RSSを使ったジャンプメニューを作成するXSLTサンプル</title>
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<script type="text/javascript" src="jump.js"></script>
</head>
<body>
<xsl:if test="//rss:item!=''">
<form name="form" action="">
  <select name="menu" onChange="jumpMenu('parent',this,0)">
  <option selected="selected"><xsl:value-of select="//rss:channel/rss:title" />の新着記事はこちら</option>
	<xsl:for-each select="//rss:item">
		<xsl:call-template name="バージョン1の場合"/>
	</xsl:for-each>
  </select>
</form>
</xsl:if>
<xsl:if test="//item!=''">
<form>
  <select name="menu" class="haba" onChange="jumpMenu('parent',this,0)">
  <option selected="selected"><xsl:value-of select="//channel/title" />の新着記事はこちら</option>
	<xsl:for-each select="//item">
		<xsl:call-template name="バージョン2の場合"/>
	</xsl:for-each>
  </select>
</form>
</xsl:if>
</body>
</html>
</xsl:template>

  <xsl:template name="バージョン1の場合">
    <option value="{rss:link}"><xsl:value-of select="rss:title"/></option>
  </xsl:template>

  <xsl:template name="バージョン2の場合">
    <option value="{link}"><xsl:value-of select="title"/></option>
  </xsl:template>
</xsl:stylesheet>
